Bug 678827 - Openbox Doesn't Open KDE .desktop Files
Summary: Openbox Doesn't Open KDE .desktop Files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openbox
Version: 14
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-20 02:46 UTC by Jimmy Collins
Modified: 2011-10-10 13:42 UTC (History)
2 users (show)

Fixed In Version: openbox-3.5.0-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-10 13:42:24 UTC
Type: ---


Attachments (Terms of Use)
fix xdg-menu for KDE -caption .desktop files (636 bytes, patch)
2011-08-20 12:16 UTC, Edward Sheldrake
no flags Details | Diff

Description Jimmy Collins 2011-02-20 02:46:49 UTC
Description of problem: 

The openbox desktop menu won't open most of KDE's .desktop files. 

Version-Release number of selected component (if applicable): 3.4.x (behavior observed in multiple versions)

How reproducible: use the right-click menu in Openbox to try to open a KDE application

 
Actual results: none


Expected results: application opens


Additional info: Deleting the [-caption "%c"] argument from the "exec" line of the .desktop file solves the problem, but I'd have to do it for every KDE .desktop file. 

Behavior observed on multiple computers, both 32 and 64 bit.

Comment 1 Edward Sheldrake 2011-08-20 12:16:05 UTC
Created attachment 519139 [details]
fix xdg-menu for KDE -caption .desktop files

The menu is generated by the xdg-menu python script, it already removes the %F style field codes, but doesn't handle -caption "%c", plus leaving -caption with no argument doesn't work.

The patch fixes xdg-menu, so that it replaces '-caption "%c"' with '-caption "Name"'.

Comment 2 Miroslav Lichvar 2011-09-30 11:41:20 UTC
Included in openbox-3.5.0-2. Thanks!

Comment 3 Fedora Update System 2011-09-30 11:52:29 UTC
openbox-3.5.0-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/openbox-3.5.0-2.fc16

Comment 4 Fedora Update System 2011-09-30 18:36:24 UTC
Package openbox-3.5.0-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openbox-3.5.0-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/openbox-3.5.0-2.fc16
then log in and leave karma (feedback).


Note You need to log in before you can comment on or make changes to this bug.